Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytypereconstruction.typeassumptionkey
Class CInstVarKey

    java.lang.Object
      mycompiler.mytypereconstruction.typeassumptionkey.CTypeAssumptionKey
          mycompiler.mytypereconstruction.typeassumptionkey.CInstVarKey

All Implemented Interfaces:
  IHashSetKey

    public class CInstVarKey

extends CTypeAssumptionKey

Version:
  $Date: 2005/06/28 19:19:05 $
Author:
  Jörg Bäuerle

Field Summary
`static java.lang.String` | `KEYPREFIX`

Fields inherited from class mycompiler.mytypereconstruction.typeassumptionkey.CTypeAssumptionKey
`m_KeyString`

Constructor Summary
`CInstVarKey(java.lang.String className, java.lang.String identifier)`

Method Summary

Methods inherited from class mycompiler.mytypereconstruction.typeassumptionkey.CTypeAssumptionKey
`equals, getKeyString, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### KEYPREFIX

    public static java.lang.String KEYPREFIX

Constructor Detail

### CInstVarKey

    public CInstVarKey(java.lang.String className,
                       java.lang.String identifier)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD